Subject: [os2genau_digest] No. 1970
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 18 Jun 2010 00:00:20 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 17 June 2010
 Number  1970
**************************************************

Subjects for today
 
1  Re:  CUPS Partial success : Alan Duval <amoht at westnet dot com dot au>
2  Re:  CUPS Partial success : Paul Smedley <paul at smedley dot id dot au>

**= Email   1 ==========================**

Date:  Thu, 17 Jun 2010 19:48:10 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  CUPS Partial success

Paul Smedley wrote:
> Hi Alan,
>
> What about http://smedley.info/hpcups2.zip
>
Downloaded hpcups2.zip and replaced existing hpcups.exe then fired up 
browser and was able to print test page. Then tried printing from 
command line. Entered '\cups\bin\lpr -P HPd2660 C:\config.sys".  
Printing stopped after about 2/3 of a page. Went to the CUPS browser 
page and clicked delete all jobs then rebooted and went to the CUPS page 
again and clicked "Print test page". Printing stopped after 1/2 page.
Deleted all jobs, rebooted and again tried to print test page but this 
time printing stopped after a couple of lines.

Regards,

Alan

> Cheers,
>
> Paul.
>
> Alan Duval wrote:
>> Paul Smedley wrote:
>>> Hi Alan,
>>>
>>> To test my theory, please try replacing 
>>> \cups\lib\cups\filter\hpcups.exe with the version at 
>>> http://smedley.info/hpcups.zip
>>
>> Did that but test page only printed heading then stopped. After a 
>> while Empty inkwell lights started flashing again and message at top 
>> of screen stated "unable to print xxxx bytes.  I forgot the exact 
>> number but was in the 8 thousands.
>>
>> Alan
>>>
>>>
>>>
>>> Paul Smedley wrote:
>>>> Hi Alan,
>>>>
>>>> Alan Duval wrote:
>>>>> AS test print was failing with the notice
>>>>>
>>>>> HPd2660 "/cups/lib/cups/filter/hpcups.exe failed
>>>>>
>>>>> I decided to go to the command line and type "HPd2660 
>>>>> "/cups/lib/cups/filter/hpcups"
>>>>>
>>>>> Error line came up "Can't find GCC434.dll"
>>>>>
>>>>> So I downloaded it and installed it.
>>>>>
>>>>> Then tried test print and it printed 1/2 page then stopped. After 
>>>>> several restarts and further
>>>>> attempts to print the test page with partial success I deleted all 
>>>>> jobs restarted and was able to print the
>>>>> test page.
>>>> I wonder if the flashing lights mean the job hasn't been fully sent 
>>>> to the printer, so the 'end of file' part hasn't been received.
>>>>
>>>> This was a problem with some other backends, as there is a libc 
>>>> 'feature' where the output sent to stdout isn't automatically 
>>>> flushed when the socket is closed.
>>>>
>>>> I'll take a look at the hplip code when I get a sec to see if this 
>>>> is a possible problem for hplip like it was for gutenprint.
>>>>
>>>> Cheers,
>>>>
>>>> Paul
>>>>
>>> --------------------------------------------------
>>> 
>>> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>>>
>>
>> --------------------------------------------------
>> 
>> http://www./melbpc/  -  The Melbourne OS/2 SIG
>===
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 17 Jun 2010 19:19:42 +0930
From:  Paul Smedley <paul at smedley dot id dot au>
Subject:  Re:  CUPS Partial success

Hi Alan,

On 17/06/10 7:18 PM, Alan Duval wrote:
> Paul Smedley wrote:
>> Hi Alan,
>>
>> What about http://smedley.info/hpcups2.zip
>>
> Downloaded hpcups2.zip and replaced existing hpcups.exe then fired up
> browser and was able to print test page. Then tried printing from
> command line. Entered '\cups\bin\lpr -P HPd2660 C:\config.sys". Printing
> stopped after about 2/3 of a page. Went to the CUPS browser page and
> clicked delete all jobs then rebooted and went to the CUPS page again
> and clicked "Print test page". Printing stopped after 1/2 page.
> Deleted all jobs, rebooted and again tried to print test page but this
> time printing stopped after a couple of lines.

Well at least one job has now printed correctly :/

Does anything show in the log for the jobs that don't print correctly?

Are you able to send me an error_log with:
Loglevel debug

in cupsd.conf?

Cheers,

Paul
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===